Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-60203

Git client plugin 3.0 fails to load trilead class with old Java 8

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Cannot Reproduce
    • Component/s: git-plugin
    • Labels:
    • Environment:
      Jenkins (2.190.2) running on Windows Server
      Git Plugin 4.0
      Firefox Browser
    • Similar Issues:

      Description

      We have been running Jenkins and pulling using Git.  Updated Git plugin from 3.12.1 to version 4.0.0.  We now see these two errors when attempting to pull using Git.

        Attachments

          Issue Links

            Activity

            charbl Larry charbonneau created issue -
            markewaite Mark Waite made changes -
            Field Original Value New Value
            Assignee Mark Waite [ markewaite ]
            markewaite Mark Waite made changes -
            Status Open [ 1 ] In Progress [ 3 ]
            markewaite Mark Waite made changes -
            Status In Progress [ 3 ] In Review [ 10005 ]
            markewaite Mark Waite made changes -
            Resolution Not A Defect [ 7 ]
            Status In Review [ 10005 ] Resolved [ 5 ]
            markewaite Mark Waite made changes -
            Resolution Not A Defect [ 7 ]
            Status Resolved [ 5 ] In Review [ 10005 ]
            charbl Larry charbonneau made changes -
            Attachment image-2019-11-18-12-42-48-665.png [ 49538 ]
            markewaite Mark Waite made changes -
            Summary Git Plugin 4.0 is not working Git client plugin 3.0 fails to load trilead class
            markewaite Mark Waite made changes -
            Status In Review [ 10005 ] In Progress [ 3 ]
            markewaite Mark Waite made changes -
            Status In Progress [ 3 ] Open [ 1 ]
            markewaite Mark Waite made changes -
            Remote Link This issue links to "PR 467 as a rejected alternative (Web Link)" [ 24012 ]
            markewaite Mark Waite made changes -
            Summary Git client plugin 3.0 fails to load trilead class Git client plugin 3.0 fails to load trilead class with old Java 8
            markewaite Mark Waite made changes -
            Status Open [ 1 ] In Progress [ 3 ]
            markewaite Mark Waite made changes -
            Resolution Cannot Reproduce [ 5 ]
            Status In Progress [ 3 ] Fixed but Unreleased [ 10203 ]
            markewaite Mark Waite made changes -
            Status Fixed but Unreleased [ 10203 ] Closed [ 6 ]

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              charbl Larry charbonneau
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: